Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jclark.xsl.sax
Class MultiNamespaceResult

    java.lang.Object
      com.jclark.xsl.sax.ResultBase
          com.jclark.xsl.sax.MultiNamespaceResult

All Implemented Interfaces:
  org.xml.sax.AttributeList, Result

public class MultiNamespaceResult
extends ResultBase

Constructor Summary
`MultiNamespaceResult(org.xml.sax.DocumentHandler documentHandler, org.xml.sax.ErrorHandler errorHandler)`
`MultiNamespaceResult(OutputMethodHandler outputMethodHandler, org.xml.sax.ErrorHandler errorHandler)`

Method Summary
`Result` | `createResult(java.lang.String uri)` Create a new Result object for serializing to the destination uri.
`protected void` | `endElementContent(Name elementType)`
`int` | `getLength()`
`java.lang.String` | `getName(int i)`
`java.lang.String` | `getValue(int i)`
`void` | `resultTreeFragment(ResultTreeFragment frag)`
`protected void` | `startElementContent(Name elementType, NamespacePrefixMap map)` we're finished with adding attributes?

Methods inherited from class com.jclark.xsl.sax.ResultBase
`attribute, characters, comment, end, endElement, flush, getAttributeName, getDocumentHandler, getType, getType, getValue, message, processingInstruction, rawCharacters, start, startElement, throwXSLException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiNamespaceResult

    public MultiNamespaceResult(OutputMethodHandler outputMethodHandler,
                                org.xml.sax.ErrorHandler errorHandler)

### MultiNamespaceResult

    public MultiNamespaceResult(org.xml.sax.DocumentHandler documentHandler,
                                org.xml.sax.ErrorHandler errorHandler)

Method Detail

### createResult

    public Result createResult(java.lang.String uri)
                        throws XSLException

  Description copied from interface: `Result`
  Create a new Result object for serializing to the destination uri. Provides support for the "xt:document" extension element

  Throws:
    `XSLException`

### startElementContent

    protected void startElementContent(Name elementType,
                                       NamespacePrefixMap map)
                                throws XSLException

  Description copied from class: `ResultBase`
  we're finished with adding attributes?

  Specified by:
    `startElementContent` in class `ResultBase`
  Throws:
    `XSLException`

### endElementContent

    protected void endElementContent(Name elementType)
                              throws XSLException

  Specified by:
    `endElementContent` in class `ResultBase`
  Throws:
    `XSLException`

### getName

    public java.lang.String getName(int i)

### getValue

    public java.lang.String getValue(int i)

  Specified by:
    `getValue` in interface `org.xml.sax.AttributeList`
  Overrides:
    `getValue` in class `ResultBase`
  Returns:
    the value of the i'th Attribute

### getLength

    public int getLength()

  Specified by:
    `getLength` in interface `org.xml.sax.AttributeList`
  Overrides:
    `getLength` in class `ResultBase`
  Returns:
    the number of attribute nodes we have at this moment

### resultTreeFragment

    public void resultTreeFragment(ResultTreeFragment frag)
                            throws XSLException

  Specified by:
    `resultTreeFragment` in class `ResultBase`
  Throws:
    `XSLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD